Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.multipart.support
Class ByteArrayMultipartFileEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          org.springframework.beans.propertyeditors.ByteArrayPropertyEditor
              org.springframework.web.multipart.support.ByteArrayMultipartFileEditor

All Implemented Interfaces:
  java.beans.PropertyEditor

    public class ByteArrayMultipartFileEditor

extends ByteArrayPropertyEditor

Custom `PropertyEditor` for converting `MultipartFiles` to byte arrays.

Since:
  13.10.2003
Author:
  Juergen Hoeller

Constructor Summary
`ByteArrayMultipartFileEditor()`

Method Summary
`java.lang.String` | `getAsText()`
`void` | `setValue(java.lang.Object value)`

Methods inherited from class org.springframework.beans.propertyeditors.ByteArrayPropertyEditor
`setAsText`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, supportsCustomEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteArrayMultipartFileEditor

    public ByteArrayMultipartFileEditor()

Method Detail

### setValue

    public void setValue(java.lang.Object value)

  Specified by:
    `setValue` in interface `java.beans.PropertyEditor`
  Overrides:
    `setValue` in class `java.beans.PropertyEditorSupport`

### getAsText

    public java.lang.String getAsText()

  Specified by:
    `getAsText` in interface `java.beans.PropertyEditor`
  Overrides:
    `getAsText` in class `ByteArrayPropertyEditor`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD